Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class PageControls

    java.lang.Object
      |
      +--com.compoze.util.PageControls

All Implemented Interfaces:
  java.io.Serializable

public class PageControls
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`PageControls(int iPageSize)` Constructor.

Method Summary
`int` | `getFromIndex()` Gets the from index.
`int` | `getNextPageNumber()` Gets the next page.
`int` | `getNumberOfItems()` Gets the number of items.
`int` | `getPageNumber()` Gets the page.
`int` | `getPageSize()` Sets the page size.
`int` | `getPreviousPageNumber()` Gets the previous page.
`int` | `getToIndex()` Gets the to index.
`int` | `getTotalPageCount()` Gets the total number of pages.
`void` | `init(int iNumberOfItems, int iPageNumber)` Initialize.
`boolean` | `isFirstPage()` Checks if this is the first page.
`boolean` | `isInitialized()` Checks if the controls are initialized.
`boolean` | `isLastPage()` Checks if this is the last page.
`void` | `setPageSize(int iPageSize)` Gets the page size.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageControls

    public PageControls(int iPageSize)

  Constructor.
  Parameters:
    `iPageSize` - the number of items to display on a single page

Method Detail

### init

    public void init(int iNumberOfItems,
                     int iPageNumber)

  Initialize.
  Parameters:
    `iNumberOfItems` - the number of items per page
    `iPageNumber` - the page number

### isInitialized

    public boolean isInitialized()

  Checks if the controls are initialized.
  Returns:
    `true` if the controls are initialized

### getFromIndex

    public int getFromIndex()

  Gets the from index.
  Returns:
    the from index

### getToIndex

    public int getToIndex()

  Gets the to index.
  Returns:
    the to index

### getNumberOfItems

    public int getNumberOfItems()

  Gets the number of items.
  Returns:
    the number of items

### getPreviousPageNumber

    public int getPreviousPageNumber()

  Gets the previous page.
  Returns:
    the previous page

### isFirstPage

    public boolean isFirstPage()

  Checks if this is the first page.
  Returns:
    `true` if this is the first page; `false` otherwise

### isLastPage

    public boolean isLastPage()

  Checks if this is the last page.
  Returns:
    `true` if this is the last page; `false` otherwise

### getPageNumber

    public int getPageNumber()

  Gets the page.
  Returns:
    the page

### getPageSize

    public int getPageSize()

  Sets the page size.
  Returns:
    the page size

### setPageSize

    public void setPageSize(int iPageSize)

  Gets the page size.
  Parameters:
    `iPageSize` - the page size (must be greater than zero)

### getNextPageNumber

    public int getNextPageNumber()

  Gets the next page.
  Returns:
    the next page

### getTotalPageCount

    public int getTotalPageCount()

  Gets the total number of pages.
  Returns:
    the total number of pages

### toString

    public java.lang.String toString()

  Returns the string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.